SystemOrganization addCategory: #'Seaside-Tests-Examples'!

WAEnvironmentDefaultHandlersTest subclass: #WAExamplesDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Examples'!

!WAExamplesDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 7/19/2009 11:52'!
testDefaultCounterDirect
	| app |
	app := self defaultDispatcher entryPointAt: 'examples/counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples/counter')! !

!WAExamplesDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 7/19/2009 11:52'!
testDefaultCounterNavigate
	| app |
	app := self defaultDispatcher entryPointAt: 'examples'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples').
	app := app entryPointAt: 'counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples/counter')! !

!WAPackage class methodsFor: '*seaside-tests-examples' stamp: 'jok 7/21/2009 10:58'!
seasideTestsExamples
	^ self new
		name: 'Seaside-Tests-Examples';
		description: 'Unit tests for Seaside-Examples.';
		addDependency: 'Seaside-Examples';
		addDependency: 'Seaside-Tests-Environment';
		yourself! !
